Package groovy.inspect

# Class Inspector.MemberComparatorWithValue

java.lang.Object
groovy.inspect.Inspector.MemberComparatorWithValue

All Implemented Interfaces:
  `Serializable`, `Comparator<Object>`

Enclosing class:
  Inspector

public static class Inspector.MemberComparatorWithValue extends Object implements Comparator<Object>, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemberComparatorWithValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(Object a, Object b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### MemberComparatorWithValue

    public MemberComparatorWithValue()

- ## Method Details

  - ### compare

    public int compare(Object a, Object b)
    Specified by:
      `compare` in interface `Comparator<Object>`